Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	Library to support communication with WinCE devices
Name:      	libsynce
Version:   	0.9.2
Release:   	1
Provides:  	libsynce
License : 	MIT
Url:		http://synce.sourceforge.net
Group:     	System/Libraries  
Source0: 	synce-%{name}-%{version}.tar.gz
Patch0:		libsynce-slang.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

%description
Library to support communication with WinCE devices. This library is part of
the SynCE project

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix  --mandir=%_mandir -disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_libdir/*.so*
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.la
%_libdir/*.a
%_datadir/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.2-1
- Initial Release
